#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config_init() {
  INIT="$1"
  if ! grep -q rc.htb /etc/rc.d/rc.inet2 ; then
        ( cat `dirname $INIT`/`basename $INIT` >> /etc/rc.d/rc.inet2 )
  fi
}

# CONFIGURA INICIALIZACAO
config etc/rc.d/rc.htb.new

# ARQUIVOS DE CONFIGURACAO
config etc/htb/eth0-qos.cfg.new
config etc/htb/eth1-qos.cfg.new

config_init etc/rc.d/htb.inc
rm -f etc/rc.d/htb.inc

echo "
**************************************************
*
*  REMEMBER CHECK YOUR KERNEL SUPPORT ( read docs )
*
***************************************************"

